/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmComponent_fields.h
 * version 1
 */
#include "TsmClass_fields.h"
int             mNrClasses;
TsmClass**      mClasses;
int             mNrComponents;
struct TsmComponentStruct**  mComponents;

TsmBool (*IsActive)( struct TsmComponentStruct* this );
void    (*ThreadId)( struct TsmComponentStruct* this, TsmStr sa );
void    (*TsmInitialiseAll)( struct TsmComponentStruct* this, void* oObject );
void    (*TsmConnectAll)( struct TsmComponentStruct* this, void* oObject );
void    (*TsmPrepareAll)( struct TsmComponentStruct* this, void* oObject );
void    (*TsmRunAll)( struct TsmComponentStruct* this, void* oObject );
void    (*TsmHaltAll)( struct TsmComponentStruct* this, void* oObject );
void    (*TsmCeaseAll)( struct TsmComponentStruct* this, void* oObject );
void    (*TsmDisconnectAll)( struct TsmComponentStruct* this, void* oObject );
void    (*TsmTerminateAll)( struct TsmComponentStruct* this, void* oObject );
void    (*TsmMentionAll)( struct TsmComponentStruct* this, void* oObject );
void    (*TsmCheckVisitAll)( struct TsmComponentStruct* this );
void    (*DoAssembly)(  struct TsmComponentStruct* this, TsmClass* Client, char* sRequired, TsmClass* Server, char* sProvided );
