/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmInterfacePort.c
 * version 2
 */
#include "TsmGen.h"
#include "TsmBase.h"
#include "TsmInterfacePort.h"
#include "TsmClass.h"
#include "TsmProxyUser.h"

TsmInterfacePort* TsmInterfacePort_Ctor( void )
{
  TsmInterfacePort* this = (TsmInterfacePort*) Tsm_Malloc( sizeof(TsmInterfacePort) );
  TsmInterfacePort_Ftor( this );
  return this;
}

void TsmInterfacePort_Ftor( TsmInterfacePort* this )
{
  TsmBase_Ftor( (TsmBase*) this );
  this->Class = "TsmInterfacePort";
  this->PortId = -1;
  this->Messager = NULL;
  this->Source = NULL;

  this->SetProxyUser = TsmInterfacePort_SetProxyUser;
}

void TsmInterfacePort_SetProxyUser( TsmInterfacePort* this, TsmProxyUser* oProxyUser )
{
  this->Messager->SetProxyUser( this->Messager, oProxyUser );
}
