/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmPSPort.c
 * version 1
 */
#include <stdio.h>
#include "TsmGen.h"
#include "TsmPort.h"
#include "TsmPSPort.h"
#include "TsmTrigger.h"

/**
 * Passive Server Port
 */

TsmPSPort* TsmPSPort_Ctor( void )
{
  TsmPSPort* this = (TsmPSPort*) Tsm_Malloc( sizeof(TsmPSPort) );
  TsmPSPort_Ftor( this );
  return this;
}

void TsmPSPort_Ftor( TsmPSPort* this )
{
  TsmPort_Ftor( (TsmPort*) this );
  this->Class = "TsmPSPort";

  this->Handle = (TsmBool (*)( TsmPort*, TsmTrigger* )) TsmPSPort_Handle;
  this->ToSeq = (void (*)( TsmPort*, TsmStr )) TsmPSPort_ToSeq;
}

TsmBool TsmPSPort_Handle( TsmPSPort* this, TsmTrigger* oTrigger )
{
  this->Target->ExecuteTrigger( this->Target, oTrigger );
  return TRUE;
}

void TsmPSPort_ToSeq( TsmPSPort* this, TsmStr sa )
{
  sprintf( sa, "C" );
}
