/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmProxy.h
 * version 1
 */
#ifndef TSM_PROXY_H
#define TSM_PROXY_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmClass.h"
#include "TsmProxyUser.h"

#define TsmProxy_Gtor(t) TsmClass_Gtor((TsmClass*) (t))

typedef struct TsmProxyStruct /* : TsmClass */
{
#include "TsmProxy_fields.h"
} TsmProxy;

TsmProxy* TsmProxy_Ctor( void );
void      TsmProxy_Ftor( TsmProxy* this );

void    TsmProxy_SetProxyUser( TsmProxy* this, TsmProxyUser* oProxyUser );
void    TsmProxy_SetProxyOk( TsmProxy* this );
void    TsmProxy_SetProxyNok( TsmProxy* this );
TsmBool TsmProxy_IsTsmProxy( TsmProxy* this );

#ifdef __cplusplus
}
#endif 
#endif
