/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmEnvelope.c
 * version 2
 */
#include <string.h>
#include "TsmGen.h"
#include "TsmEnvelope.h"

void TsmEnvelope_Ftor( TsmEnvelope* this, TsmTrigger* oTrigger, TsmClass* oTarget )
{
  this->mTrigger = oTrigger;
  this->mTarget = oTarget;
}

TsmTrigger* TsmEnvelope_GetTrigger( TsmEnvelope* this )
{
  return this->mTrigger;
}

TsmClass* TsmEnvelope_GetTarget( TsmEnvelope* this )
{
  return this->mTarget;
}

TsmBool TsmEnvelope_GetDBU( TsmEnvelope* this )
{
  return this->mTrigger->GetDBU( this->mTrigger );
}

void TsmEnvelope_HandleDBU( TsmEnvelope* this, TsmBool bDBU )
{
  if ( bDBU )
  {
    this->mTrigger->DBU( this->mTrigger );
  }
}

void TsmEnvelope_Snap( TsmEnvelope* this, TsmStr sout )
{
  this->mTrigger->Snap( this->mTrigger, sout );
}
