/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmObject.h
 * version 2
 */
#ifndef TSM_OBJECT_H
#define TSM_OBJECT_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"

typedef struct TsmObjectStruct
{
#include "TsmObject_fields.h"
} TsmObject;

typedef void (*Tsm_pfObj)( TsmObject* );

TsmObject*  TsmObject_Ctor( void );
void        TsmObject_Ftor( TsmObject* this );
void        TsmObject_Gtor( TsmObject* this );
void        TsmObject_Dtor( TsmObject* this );
char*       TsmObject_ClassName( TsmObject* this );

#ifdef __cplusplus
}
#endif 
#endif
