/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmHandlerAction.h
 * version 1
 */
#ifndef TSM_HANDLERACTION_H
#define TSM_HANDLERACTION_H

#ifdef __cplusplus
extern "C" {
#endif

typedef enum TsmHandlerActionEnum
{
  TsmHandlerAction_NONE          = 0,
  TsmHandlerAction_NOK           = 1,
  TsmHandlerAction_FINAL         = 2,
  TsmHandlerAction_GUARD         = 4,
  TsmHandlerAction_OK            = 8,
  TsmHandlerAction_TRANSITION    = 16,
  TsmHandlerAction_ENTER         = 32,
  TsmHandlerAction_INITIAL       = 64,
  TsmHandlerAction_ENTRYPOINT    = 128,
  TsmHandlerAction_QUIT          = 256,
  TsmHandlerAction_EXITPOINT     = 512,
  TsmHandlerAction_TACTRANSITION = 1024
} TsmHandlerAction;

TsmBool TsmHandlerAction_HasTransition( int action );
TsmBool TsmHandlerAction_IsFinalNok( int action );

#ifdef __cplusplus
}
#endif 
#endif
