/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmState_fields.h
 * version 1
 */
#include "TsmBase_fields.h"
TsmBool         bVisit;
int             mNrTransitions;
TsmTransition** mTransitions;

void    (*AtEntry)( struct TsmStateStruct* this, TsmHandler* oHandler );
void    (*AtExit)( struct TsmStateStruct* this, TsmHandler* oHandler );
void    (*Initial)( struct TsmStateStruct* this, TsmHandler* oHandler );
void    (*Entrypoint)( struct TsmStateStruct* this, TsmHandler* oHandler );
void    (*ExecuteTrigger)( struct TsmStateStruct* this, TsmHandler* oHandler );
void    (*ExecuteTriggerless)( struct TsmStateStruct* this, TsmHandler* oHandler );
TsmBool (*ExecuteTransition)( struct TsmStateStruct* this, TsmHandler* oHandler );
void    (*ExecuteHandler)( struct TsmStateStruct* this, TsmHandler* oHandler );
int     (*GetProspect)( struct TsmStateStruct* this, int PortId, int Command );
void    (*TsmSnap)( struct TsmStateStruct* this, TsmStr sout );
void    (*TsmCheckVisit)( struct TsmStateStruct* this );
