/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmActivity.h
 * version 1
 */
#ifndef TSM_ACTIVITY_H
#define TSM_ACTIVITY_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmObject.h"
#include "TsmTriggerSem.h"

typedef struct TsmActivityStruct /* : TsmObject */
{
#include "TsmActivity_fields.h"
} TsmActivity;

TsmActivity*  TsmActivity_Ctor( void );
void          TsmActivity_Ftor( TsmActivity* this );
void          TsmActivity_Gtor( TsmActivity* this );
void          TsmActivity_Dtor( TsmActivity* this );

void          TsmActivity_Wait( TsmActivity* this );
void          TsmActivity_Announce( TsmActivity* this );
void          TsmActivity_Abandon( TsmActivity* this );

#ifdef __cplusplus
}
#endif 
#endif
