/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmCbThread.h
 * version 1
 */
#ifndef TSM_CBTHREAD_H
#define TSM_CBTHREAD_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmThread.h"
#include "TsmEnvelope.h"

typedef struct TsmCbThreadStruct /* : TsmThread */
{
#include "TsmCbThread_fields.h"
} TsmCbThread;

TsmCbThread*  TsmCbThread_Ctor( void );
void          TsmCbThread_Ftor( TsmCbThread* this );
void          TsmCbThread_Prepare( TsmCbThread* this, char* sName );
void          TsmCbThread_NativeCall( TsmCbThread* this, TsmEnvelope* oEnvelope );
void          TsmCbThread_CbHandle( TsmCbThread* this, TsmEnvelope* oEnvelope );

#ifdef __cplusplus
}
#endif 
#endif
