/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmQueue_fields.h
 * version 1
 */
#include "TsmObject_fields.h"

int               mMaxQueueSize;
TsmMutex          mLockMutex;
int               mSeqId;
TsmFifo_Envelope  mFifo;
TsmEnvelope       mEnvelopes[ TSM_NOF_QUEUE_ENVELOPES ];

int       (*GetMaxQueueSize)( struct TsmQueueStruct* this );
int       (*GetSeqId)( struct TsmQueueStruct* this );
void      (*SetSeqId)( struct TsmQueueStruct* this, int SeqId );
void      (*Put)( struct TsmQueueStruct* this, TsmEnvelope* oEnvelope );
TsmBool   (*Dequeue)( struct TsmQueueStruct* this, TsmEnvelope* oEnvelope );
void      (*Empty)( struct TsmQueueStruct* this );
int       (*Number)( struct TsmQueueStruct* this );
void      (*Snap)( struct TsmQueueStruct* this, TsmStr sout );
