/*
 * TismTool  Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * OSAL_MutexSem.h
 * version 2
 */
#ifndef OSAL_MUTEXSEM_H
#define OSAL_MUTEXSEM_H

#ifdef __cplusplus
extern "C" {
#endif

#include "OSAL_Gen.h"

void        OSAL_MutexSemInitialise( void );
void        OSAL_MutexSemTerminate( void );
OSAL_Handle OSAL_MutexSemCreate( void );
void        OSAL_MutexSemLock( OSAL_Handle h );
void        OSAL_MutexSemUnlock( OSAL_Handle h );
void        OSAL_MutexSemReset( OSAL_Handle h );
void        OSAL_MutexSemDelete( OSAL_Handle h );

#ifdef __cplusplus
}
#endif 
#endif
