/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmExecComponent.h
 * version 1
 */
#ifndef TSM_EXECCOMPONENT_H
#define TSM_EXECCOMPONENT_H
#ifdef __cplusplus
extern "C" {
#endif

#include "TsmComponent.h"

#define TsmExecComponent_Gtor(t) TsmComponent_Gtor((TsmComponent*) (t))

typedef struct TsmExecComponentStruct /* : TsmComponent */
{
#include "TsmExecComponent_fields.h"
} TsmExecComponent;

TsmExecComponent* TsmExecComponent_Ctor( void );
void              TsmExecComponent_Ftor( TsmExecComponent* this );

void TsmExecComponent_Activate( TsmExecComponent* this );
void TsmExecComponent_Execute( TsmExecComponent* this );
void TsmExecComponent_Deactivate( TsmExecComponent* this );

#ifdef __cplusplus
}
#endif 
#endif
