/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmInterfacePort.h
 * version 1
 */
#ifndef TSM_INTERFACEPORT_H
#define TSM_INTERFACEPORT_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmBase.h"
#include "TsmPort.h"
#include "TsmClass.h"
#include "TsmProxyUser.h"

#define TsmInterfacePort_Gtor(t) TsmBase_Gtor((TsmBase*) (t))

typedef struct TsmInterfacePortStruct /* : TsmBase */
{
#include "TsmInterfacePort_fields.h"
} TsmInterfacePort;

TsmInterfacePort* TsmInterfacePort_Ctor( void );
void              TsmInterfacePort_Ftor( TsmInterfacePort* this );
void              TsmInterfacePort_SetProxyUser( TsmInterfacePort* this, TsmProxyUser* oProxyUser );

#ifdef __cplusplus
}
#endif 
#endif
