/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmNativeLists.h
 * version 1
 */
#ifndef TSM_NATIVELISTS_H
#define TSM_NATIVELISTS_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmList.h"

/*
 * Received client natives have negative values.
 */
typedef struct TsmNativeListsStruct
{
  TsmList     ClientNatives;
  TsmListItem ClientItems[ TSM_NOF_LIST_NATIVES ];
  TsmList     ServerNatives;
  TsmListItem ServerItems[ TSM_NOF_LIST_NATIVES ];
} TsmNativeLists;

void TsmNativeLists_Initialise( TsmNativeLists* this );
void TsmNativeLists_Clear( TsmNativeLists* this );

#ifdef __cplusplus
}
#endif 
#endif
