/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmPCPort.h
 * version 1
 */
#ifndef TSM_PCPORT_H
#define TSM_PCPORT_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmPort.h"
#include "TsmIntQueue.h"
#include "TsmTrigger.h"

#define TsmPCPort_Gtor(t) TsmPort_Gtor((TsmPort*) (t))

typedef struct TsmPCPortStruct /* : TsmPort */
{
#include "TsmPCPort_fields.h"
} TsmPCPort;

TsmPCPort*  TsmPCPort_Ctor( void );
void        TsmPCPort_Ftor( TsmPCPort* this );
void        TsmPCPort_SetIntQueue( TsmPCPort* this, TsmIntQueue* oIntQueue );
TsmBool     TsmPCPort_Handle( TsmPCPort* this, TsmTrigger* oTrigger );
void        TsmPCPort_ToSeq( TsmPCPort* this, TsmStr sa );

#ifdef __cplusplus
}
#endif 
#endif
