/*
 * TismTool © Tis Veugen, 2010-2012
 * Simulation, Verification
 *
 * TsmPort.h
 * version 1
 */
#ifndef TSM_PORT_H
#define TSM_PORT_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmBase.h"
#include "TsmProxyUser.h"
#include "TsmTrigger.h"

#define TsmPort_Gtor(t) TsmBase_Gtor((TsmBase*) (t))

typedef struct TsmPortStruct /* : TsmBase */
{
#include "TsmPort_fields.h"
} TsmPort;

TsmPort*  TsmPort_Ctor( void );
void      TsmPort_Ftor( TsmPort* this );
void      TsmPort_SetProxyUser( TsmPort* this, TsmProxyUser* oProxyUser );
TsmBool   TsmPort_Handle( TsmPort* this, TsmTrigger* oTrigger );
void      TsmPort_ToSeq( TsmPort* this, TsmStr sa );

#ifdef __cplusplus
}
#endif 
#endif
