/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmStackList.h
 * version 1
 */
#ifndef TSM_STACKLIST_H
#define TSM_STACKLIST_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"

typedef struct TsmStackEntryStruct
{
  struct TsmStackEntryStruct* pNext;
} TsmStackEntry;

typedef struct TsmStackListStruct
{
  int             Number;
  TsmStackEntry*  pLast;
} TsmStackList;

void            TsmStackList_Initialise( TsmStackList* this );
void            TsmStackList_Push( TsmStackList* this, TsmStackEntry* pEntry );
TsmStackEntry*  TsmStackList_Pop( TsmStackList* this );
TsmStackEntry*  TsmStackList_Peek( TsmStackList* this );
TsmBool         TsmStackList_Empty( TsmStackList* this );

#ifdef __cplusplus
}
#endif 
#endif
