/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmFinal.h
 * version 1
 */
#ifndef TSM_FINAL_H
#define TSM_FINAL_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmPseudo.h"
#include "TsmHandler.h"

typedef struct TsmFinalStruct /* : TsmPseudo */
{
#include "TsmFinal_fields.h"
} TsmFinal;

TsmFinal* TsmFinal_Ctor( void );
void      TsmFinal_Ftor( TsmFinal* this );
void      TsmFinal_Initial( TsmFinal* this, TsmHandler* oHandler );
void      TsmFinal_ExecuteTrigger( TsmFinal* this, TsmHandler* oHandler );
void      TsmFinal_ExecuteTriggerless( TsmFinal* this, TsmHandler* oHandler );

#ifdef __cplusplus
}
#endif 
#endif
