/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmHandler.h
 * version 2
 */
#ifndef TSM_HANDLER_H
#define TSM_HANDLER_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmObject.h"
#include "TsmHandlerAction.h"
#include "TsmProspect.h"
#include "TsmTrigger.h"

typedef struct TsmHandlerStruct
{
#include "TsmHandler_fields.h"
} TsmHandler;

TsmHandler* TsmHandler_Ctor( void );
void        TsmHandler_Ftor( TsmHandler* this );
void        TsmHandler_Ftor1( TsmHandler* this, struct TsmClassStruct* oOwner );
void        TsmHandler_Ftor2( TsmHandler* this, struct TsmClassStruct* oOwner, TsmTrigger* oTrigger );

#ifdef __cplusplus
}
#endif 
#endif
