/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmRegion.h
 * version 2
 */
#ifndef TSM_REGION_H
#define TSM_REGION_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmState.h"
#include "TsmHandler.h"

typedef struct TsmRegionStruct /* : TsmState */
{
#include "TsmRegion_fields.h"
} TsmRegion;

TsmRegion*  TsmRegion_Ctor( void );
void        TsmRegion_Ftor( TsmRegion* this );
void        TsmRegion_Gtor( TsmRegion* this );

void        TsmRegion_Initial( TsmRegion* this, TsmHandler* oHandler );
void        TsmRegion_ExecuteTrigger( TsmRegion* this, TsmHandler* oHandler );
void        TsmRegion_ExecuteTriggerless( TsmRegion* this, TsmHandler* oHandler );
void        TsmRegion_AtExit( TsmRegion* this, TsmHandler* oHandler );
void        TsmRegion_Reset( TsmRegion* this );
void        TsmRegion_TsmSnap( TsmRegion* this, TsmStr sout );
void        TsmRegion_TsmCheckVisit( TsmRegion* this );

#ifdef __cplusplus
}
#endif 
#endif
