/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmTransition.c
 * version 1
 */
#include "TsmGen.h"
#include "TsmObject.h"
#include "TsmTransition.h"

TsmTransition* TsmTransition_Ctor( int iUnr, char* sFromTo )
{
  TsmTransition* this = (TsmTransition*) Tsm_Malloc( sizeof(TsmTransition) );
  TsmTransition_Ftor( this, iUnr, sFromTo );
  return this;
}

void TsmTransition_Ftor( TsmTransition* this, int iUnr, char* sFromTo )
{
  TsmObject_Ftor( (TsmObject*) this );
  this->Class = "TsmTransition";
  this->bVisit = FALSE;

  this->Unr = iUnr;
  this->FromTo = sFromTo;
}

void TsmTransition_Gtor( TsmTransition* this )
{
}
