/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmTrigger.h
 * version 4
 */
#ifndef TSM_TRIGGER_H
#define TSM_TRIGGER_H

#ifdef __cplusplus
extern "C" {
#endif

#include "TsmGen.h"
#include "TsmObject.h"
#include "TsmRvState.h"

typedef struct TsmTriggerStruct
{
#include "TsmTrigger_fields.h"
} TsmTrigger;

TsmTrigger* TsmTrigger_Ctor( int iCmd );
void        TsmTrigger_Ftor( TsmTrigger* this, int iCmd );
void        TsmTrigger_Ready( TsmTrigger* this );
void        TsmTrigger_Snap( TsmTrigger* this, TsmStr sout );
TsmBool     TsmTrigger_GetDBU( TsmTrigger* this );
void        TsmTrigger_SetDBU( TsmTrigger* this );
void        TsmTrigger_DBU( TsmTrigger* this );
void        TsmTrigger_DBC( TsmTrigger* this, TsmBool bDelete );

#ifdef __cplusplus
}
#endif 
#endif
