/*
 * TismTool © Tis Veugen, 2010-2012
 * Application, Simulation, Verification
 *
 * TsmTriggerSem.h
 * version 1
 */
#ifndef TSM_TRIGGERSEM_H
#define TSM_TRIGGERSEM_H

#ifdef __cplusplus
extern "C" {
#endif

#include "OSAL_Gen.h"
#include "TsmGen.h"

typedef struct TsmTriggerSemStruct
{
  OSAL_Handle mTrigger;
} TsmTriggerSem;

void TsmTriggerSem_Ftor( TsmTriggerSem* this );
void TsmTriggerSem_Gtor( TsmTriggerSem* this );
void TsmTriggerSem_WaitOne( TsmTriggerSem* this );
void TsmTriggerSem_Release( TsmTriggerSem* this );

#ifdef __cplusplus
}
#endif 
#endif
